CPREGULARIZE(1)

NAME
cpregularize - Program to regularize cornerpoint grids

SYNOPSIS
cpregularize gridfilename=cornerpointgrid.grdecl [option=value]

DESCRIPTION
Program to regularize cornerpoint grids. Caveats: - Only grids with vertical pillars - CornerPointChopper can only chop along existing pillars. In case your asked-for horizontal resolution does not divide the initial number of pillars in x/y, you will not obtain a fully regular grid, but still easier numerically. - Be careful with non-flat top and bottom boundary. Example usage: cpregularize gridfilename=grid.grdecl ires=5 jres=5 zres=5 resultgrid=regularizedgrid.grdecl

OPTIONS
resultgrid File name for regular grid.
ires Resolution in i-direction. Defaults to 1.
jres Resolution in j-direction. Defaults to 1.
zres Resolution in z-direction. Defaults to 1.
imin Can be used to limit the search area for random subsamples. Defaults to minimum i in inputgrid (full model).
imax Can be used to limit the search area for random subsamples. Defaults to maximum i in inputgrid (full model).
jmin Analog to imin, but in j-direction. Defaults to minimum j in inputgrid (full model).
jmax Analog to imax, but in j-direction. Defaults to maximum j in inputgrid (full model).
zmin Analog to imin, but in z-direction and specified in the grids length unit. Defaults to minimum in inputgrid.
zmax Analog to imax, but in z-direction and specified in the grids length unit. Defaults to maximum in inputgrid.
minperm Cut-off value for permeability.

REPORTING BUGS
Report on github repository <https://github.com/OPM/opm-upscaling/issues>

SEE ALSO
upscale_perm